java.awt.datatransfer

## Class UnsupportedFlavorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.awt.datatransfer.UnsupportedFlavorException

All Implemented Interfaces:
  Serializable

    public class UnsupportedFlavorException
    extends Exception

Signals that the requested data is not supported in this flavor.

See Also:
  `Transferable.getTransferData(java.awt.datatransfer.DataFlavor)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedFlavorException(DataFlavor flavor)` Constructs an UnsupportedFlavorException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedFlavorException

    public UnsupportedFlavorException(DataFlavor flavor)

Constructs an UnsupportedFlavorException.

Parameters:
  `flavor` - the flavor object which caused the exception. May be `null`.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.